<%@ include file="/WEB-INF/jsp/main.jspf" %>

            <div class="divcont">
                <div class="divleft">
                    <%@ include file="/WEB-INF/jsp/view/regio/jspf/LeftConfigSysAddEdit.jspf" %>
                </div>
                <div class="divright">
                    
                    <!-- ********************************************************************
                    Heading text
                     ************************************************************************-->
                    <c:if test="${decision == 'new'}">
                        <p class="tdpause">Please enter the new system parameters:</p>
                    </c:if>
                    <c:if test="${decision == 'edit'}">
                        <p class="tdpause">Editing 
                            <c:if test="${sysedit.systype == 'STORETYPE'}">
                                store type ${sysedit.storetype}
                            </c:if>
                            <c:if test="${sysedit.systype != 'STORETYPE'}">
                                system ${sysedit.sysname}
                            </c:if>
                        </p>
                    </c:if>
                    
                    <!-- ********************************************************************
                    Input form
                     ************************************************************************-->
                     <c:url var="ok_url"  value="/config/system/addedit/save" />
                     <c:url var="cancel_url"  value="/config/system/addedit/cancel" />
                     <form:form action="${ok_url}" method="post" modelAttribute="sysedit">
                     
                     <!-- ********************************************************************
                    EDIT
                     ************************************************************************-->
                        <c:if test="${decision == 'edit'}">
                            <form:hidden path="systype"/>
                            <c:if test="${sysedit.systype == 'STORETYPE'}">
                                <form:hidden path="storetype"/>
                                <table>
                                    <tr><td class="tdlabel">Description:</td><td><form:input path="description"/></td></tr>
                                </table>
                            </c:if>
                            <c:if test="${sysedit.systype != 'STORETYPE'}">
                                <form:hidden path="sysid"/>
                                <table>
                                    <tr><td class="tdlabel">Name:</td><td><form:input path="sysname"/></td></tr>
                                    <tr><td class="tdlabel">Description:</td><td><form:input path="description"/></td></tr>
                                    <tr><td class="tdlabel">Url:</td><td><form:input path="url"/></td></tr>
                                    <tr><td class="tdlabel">Appname:</td><td><form:input path="appname"/></td></tr>
                                </table>
                            </c:if>
                        </c:if>
                        
                    <!-- ********************************************************************
                    NEW SYSTEM
                     ************************************************************************-->
                        <c:if test="${decision == 'new'}">
                            <table>
                            
                                <tr><td class="tdlabel">System type:</td>
                                    <td>
                                        <form:select path="systype">
                                            <form:options items = "${systypes}" />
                                        </form:select>
                                    </td>
                                </tr>
                                
                                <tr><td class="tdlabel">Name:</td><td><form:input path="sysname"/></td></tr>
                                <tr><td class="tdlabel"></td><td>Name can contain only A-Z, a-z, 0-9, - and _</td></tr>
                                <tr><td class="tdlabel">Description:</td><td><form:input path="description"/></td></tr>
                                
                                <tr><td class="tdlabel">Store only:</td><td></td></tr>
                                <tr><td class="tdlabel">Store type:</td>
                                    <td>
                                        <form:select path="storetype">
                                            <form:options items = "${storetypes}" />
                                        </form:select>
                                    </td>
                                </tr>
                                
                                <tr><td class="tdlabel">Catchers and Store Types:</td><td></td></tr>
                                <tr><td class="tdlabel">Default database:</td>
                                    <td>
                                        <form:select path="dbid">
                                            <form:options items = "${activedbs}" />
                                        </form:select>
                                    </td>
                                </tr>
                                
                            </table>
                        </c:if>
                     
                     
                     <!-- ********************************************************************
                    END OF FORM
                     ************************************************************************-->
                        <button type="submit">${ident.ws.wdone}</button>
                        <button type="submit" formaction="${cancel_url}">${ident.ws.wcancel}</button>
                     </form:form>

                </div>
            </div>
        </div>
    </body>
</html>