<%@ include file="/WEB-INF/jsp/main.jspf" %>

            <div class="divcont">
                <div class="divleft">
                    <%@ include file="/WEB-INF/jsp/view/regio/jspf/LeftConfigSysInfo.jspf" %>
                </div>
                <div class="divright">
                    
                    <h2>Information for new system installation</h2>
                    
                    <p>Next steps to install the new system:</p>
                    
                    <ul>
                        <li>Obtain the system .war file</li>
                        <li>Deploy in the host server's Web Application Server</li>
                        <li>From a browser connect to the applications's opening page</li>
                        <li>Select the 3rd option: Join to an existing cluster</li>
                        <li>Enter the following parameters:</li>
                    </ul>
                    <br>
                    <table>
                        <tr><td class="tdlabel">System Id:</td><td>${bif.sysid}</td></tr>
                        <tr><td class="tdlabel">Database type:</td><td>${bif.dbtype}</td></tr>
                        <tr><td class="tdlabel">(Driver:)</td><td>${bif.dbdriver}</td></tr>
                        <tr><td class="tdlabel">(Prefix:)</td><td>${bif.dbprefix}</td></tr>
                        <tr><td class="tdlabel">Server:</td><td>${bif.dbserver}</td></tr>
                        <tr><td class="tdlabel">Schema:</td><td>${bif.dbschema}</td></tr>
                        <tr><td class="tdlabel">Connection string:</td><td>${bif.dbconnstr}</td></tr>
                        <tr><td class="tdlabel">User:</td><td>${bif.dbuser}</td></tr>
                        <tr><td class="tdlabel tdpause">Password:</td><td>${bif.dbpassword}</td></tr>
                        <tr><td>
                            <form action="<c:url value = "/config/system/list"/>">
                                <button type="submit">${ident.ws.wok}</button>
                            </form>
                        </td><td></td></tr>
                    </table>

                </div>
            </div>

    </body>
</html>