<%@ include file="/WEB-INF/jsp/main.jspf" %>

        ${logg.alert("JSP AlertServerMailEdit: start")}

            <div class="divcont">
                <div class="divleft">
                    <%@ include file="/WEB-INF/jsp/view/regio/jspf/LeftDefault.jspf" %>
                </div>
                <div class="divright">
                    
                    <p class="tdpause">Edit Alert Mail Server:</p>                   
                    
                    <c:url var="ok_url"  value="/regioalert/servermaileditinput/ok" />
                    <c:url var="cancel_url"  value="/regioalert/servermaileditinput/cancel" />
                    <form:form action="${ok_url}" method="post" modelAttribute="asmf">
                        <c:if test="${action == 'edit'}">
                            <form:hidden path="name"/>
                        </c:if>

                        <table>
                            <tr>
                                <td class="tdlabel">Name:</td>
                                <td><c:if test="${action == 'edit'}">
                                    ${asmf.name}
                                </c:if>
                                <c:if test="${action == 'new' or action == 'copy' or action == 'newmail'}">
                                    <form:input path="name"/>
                                </c:if></td>
                            </tr>
                            <tr>
                                <td class="tdlabel">Description:</td>
                                <td><form:input path="description"/></td>
                            </tr>
                            <tr>
                                <td class="tdlabel">Host name:</td>
                                <td><form:input path="hostname"/></td>
                            </tr>
                            <tr>
                                <td class="tdlabel">Port:</td>
                                <td><form:input path="port"/></td>
                            </tr>
                            <tr>
                                <td class="tdlabel">User:</td>
                                <td><form:input path="user"/></td>
                            </tr>
                            <tr>
                                <td class="tdlabel">Password:</td>
                                <td><form:input path="password"/></td>
                            </tr>
                            <tr>
                                <td class="tdlabel">Mail sender:</td>
                                <td><form:input path="sender"/></td>
                            </tr>
                            <tr>
                                <td class="tdlabel">Character set:</td>
                                <td><form:select path="charset">
                                    <form:options items = "${charsets}" />
                                </form:select></td>
                            </tr>
                            <tr>
                                <td class="tdlabel">Mail subject:</td>
                                <td><form:input path="subject"/></td>
                            </tr>
                        </table>
                        
                        <table>
                            <tr>
                                <td><button type="submit">${ident.ws.wsave}</button></td>
                                <td><button type="submit" formaction="${cancel_url}">${ident.ws.wcancel}</button></td>
                            </tr>
                        </table>
                    
                    </form:form>
                    
                </div>
            </div>

    </body>
</html>