<%@ include file="/WEB-INF/jsp/main.jspf" %>

        ${logg.alert("JSP AlertTgtitemEdit: start")}

            <div class="divcont">
                <div class="divleft">
                    <%@ include file="/WEB-INF/jsp/view/regio/jspf/LeftDefault.jspf" %>
                </div>
                <div class="divright">
                    
                    <p class="tdpause">Edit Alert Target Item (Address):</p>                   
                    
                    <c:url var="ok_url"  value="/regioalert/tgtitemeditinput/ok" />
                    <c:url var="cancel_url"  value="/regioalert/tgtitemeditinput/cancel" />
                    <form:form action="${ok_url}" method="post" modelAttribute="ati">
                        <c:if test="${action == 'edit'}">
                            <form:hidden path="name"/>
                            <form:hidden path="itemname"/>
                            <form:hidden path="aitype"/>
                        </c:if>

                        <table>
                            <tr>
                                <td class="tdlabel">Target:</td>
                                <td><c:if test="${action == 'edit'}">
                                    ${ati.name}
                                </c:if>
                                <c:if test="${action == 'new' or action == 'copy'}">
                                    <form:select path="name">
                                        <form:options items = "${targets}" />
                                    </form:select>
                                </c:if></td>
                            </tr>
                            <tr>
                                <td class="tdlabel">Item Name:</td>
                                <td><c:if test="${action == 'edit'}">
                                    ${ati.itemname}
                                </c:if>
                                <c:if test="${action == 'new' or action == 'copy'}">
                                    <form:input path="itemname"/>
                                </c:if></td>
                            </tr>
                            <tr>
                                <td class="tdlabel">Type:</td>
                                <td><c:if test="${action == 'edit'}">
                                    ${ati.aitype}
                                </c:if>
                                <c:if test="${action == 'new' or action == 'copy'}">
                                    <form:select path="aitype">
                                        <form:options items = "${aitypes}" />
                                    </form:select>
                                </c:if></td>
                            </tr>
                            <tr>
                                <td class="tdlabel">Value:</td>
                                <td><form:input path="value"/></td>
                            </tr>
                        </table>
                        
                        <table>
                            <tr>
                                <td><button type="submit">${ident.ws.wsave}</button></td>
                                <td><button type="submit" formaction="${cancel_url}">${ident.ws.wcancel}</button></td>
                            </tr>
                        </table>
                    
                    </form:form>
                    
                </div>
            </div>

    </body>
</html>