<%@ include file="/WEB-INF/jsp/main.jspf" %>

        ${logg.mdata("JSP UploadSelectData: start")}

            <div class="divcont">
                <div class="divleft"><!-- On this page we do not use the left side  --></div>
                <div class="divright">

                    <h2>Master Data Upload</h2>
                    
                    <!-- Selection input form -->
                    <c:url var="ok_url"  value="/reporter/uploadseldata/overwrite" />
                    <c:url var="onlynew_url"  value="/reporter/uploadseldata/onlynew" />
                    <c:url var="cancel_url"  value="/reporter/uploadseldata/cancel" />
                    <c:url var="selall_url"  value="/reporter/uploadseldata/selall" />
                    <c:url var="desall_url"  value="/reporter/uploadseldata/desall" />
                    <form:form action="${ok_url}" method="post" modelAttribute="usform">
                    
                    	<table>
                            <tr>
                                <td><button type="submit">${ident.ws.wupload} and overwrite</button></td>
                                <td><button type="submit" formaction="${onlynew_url}">${ident.ws.wupload} only nonexisting</button></td>
                                <td><button type="submit" formaction="${cancel_url}">${ident.ws.wcancel}</button></td>
                            </tr>
                            <tr>
                                <td><button type="submit" formaction="${selall_url}">Select all</button></td>
                                <td><button type="submit" formaction="${desall_url}">Deselect all</button></td>
       							<td></td>
                            </tr>
                        </table>
                    
                    	<c:if test="${usform.attrtemplates.size() > 0}">
                    		<h2>Attribute Templates</h2>
                    		<table>
                    			<c:forEach var="uob" items="${usform.attrtemplates}" varStatus="row">
                    				<form:hidden path="attrtemplates[${row.index}].text" value="${uob.text}"/>
                    				<form:hidden path="attrtemplates[${row.index}].key0" value="${uob.key0}"/>
                    				<form:hidden path="attrtemplates[${row.index}].key1" value="${uob.key1}"/>
                    				<form:hidden path="attrtemplates[${row.index}].key2" value="${uob.key2}"/>
                    				<form:hidden path="attrtemplates[${row.index}].key3" value="${uob.key3}"/>
                    				<form:hidden path="attrtemplates[${row.index}].exists" value="${uob.exists}"/>
                    				<tr>
                    					<td><form:checkbox path="attrtemplates[${row.index}].selected" value="${uob.selected}" /></td>
                    					<td>${uob.text}</td>
                    				</tr>
                    			</c:forEach>
                    		</table>
                    	</c:if>
                    	
                    	<c:if test="${usform.pottypes.size() > 0}">
                    		<h2>Pot Types</h2>
                    		<table>
                    			<c:forEach var="uob" items="${usform.pottypes}" varStatus="row">
                    				<form:hidden path="pottypes[${row.index}].text" value="${uob.text}"/>
                    				<form:hidden path="pottypes[${row.index}].key0" value="${uob.key0}"/>
                    				<form:hidden path="pottypes[${row.index}].key1" value="${uob.key1}"/>
                    				<form:hidden path="pottypes[${row.index}].key2" value="${uob.key2}"/>
                    				<form:hidden path="pottypes[${row.index}].key3" value="${uob.key3}"/>
                    				<form:hidden path="pottypes[${row.index}].exists" value="${uob.exists}"/>
                    				<tr>
                    					<td><form:checkbox path="pottypes[${row.index}].selected" value="${uob.selected}" /></td>
                    					<td>${uob.text}</td>
                    				</tr>
                    			</c:forEach>
                    		</table>
                    	</c:if>
                    	
                    	<c:if test="${usform.ptsts.size() > 0}">
                    		<h2>Pot Type - Store Type links</h2>
                    		<table>
                    			<c:forEach var="uob" items="${usform.ptsts}" varStatus="row">
                    				<form:hidden path="ptsts[${row.index}].text" value="${uob.text}"/>
                    				<form:hidden path="ptsts[${row.index}].key0" value="${uob.key0}"/>
                    				<form:hidden path="ptsts[${row.index}].key1" value="${uob.key1}"/>
                    				<form:hidden path="ptsts[${row.index}].key2" value="${uob.key2}"/>
                    				<form:hidden path="ptsts[${row.index}].key3" value="${uob.key3}"/>
                    				<form:hidden path="ptsts[${row.index}].exists" value="${uob.exists}"/>
                    				<tr>
                    					<td><form:checkbox path="ptsts[${row.index}].selected" value="${uob.selected}" /></td>
                    					<td>${uob.text}</td>
                    				</tr>
                    			</c:forEach>
                    		</table>
                    	</c:if>
                    	
                    	<c:if test="${usform.balltypes.size() > 0}">
                    		<h2>Ball Types</h2>
                    		<table>
                    			<c:forEach var="uob" items="${usform.balltypes}" varStatus="row">
                    				<form:hidden path="balltypes[${row.index}].text" value="${uob.text}"/>
                    				<form:hidden path="balltypes[${row.index}].key0" value="${uob.key0}"/>
                    				<form:hidden path="balltypes[${row.index}].key1" value="${uob.key1}"/>
                    				<form:hidden path="balltypes[${row.index}].key2" value="${uob.key2}"/>
                    				<form:hidden path="balltypes[${row.index}].key3" value="${uob.key3}"/>
                    				<form:hidden path="balltypes[${row.index}].exists" value="${uob.exists}"/>
                    				<tr>
                    					<td><form:checkbox path="balltypes[${row.index}].selected" value="${uob.selected}" /></td>
                    					<td>${uob.text}</td>
                    				</tr>
                    			</c:forEach>
                    		</table>
                    	</c:if>
                    	
                    	<c:if test="${usform.btpts.size() > 0}">
                    		<h2>Ball Type - Pot Type links</h2>
                    		<table>
                    			<c:forEach var="uob" items="${usform.btpts}" varStatus="row">
                    				<form:hidden path="btpts[${row.index}].text" value="${uob.text}"/>
                    				<form:hidden path="btpts[${row.index}].key0" value="${uob.key0}"/>
                    				<form:hidden path="btpts[${row.index}].key1" value="${uob.key1}"/>
                    				<form:hidden path="btpts[${row.index}].key2" value="${uob.key2}"/>
                    				<form:hidden path="btpts[${row.index}].key3" value="${uob.key3}"/>
                    				<form:hidden path="btpts[${row.index}].exists" value="${uob.exists}"/>
                    				<tr>
                    					<td><form:checkbox path="btpts[${row.index}].selected" value="${uob.selected}" /></td>
                    					<td>${uob.text}</td>
                    				</tr>
                    			</c:forEach>
                    		</table>
                    	</c:if>
                    	
                    	<c:if test="${usform.rules.size() > 0}">
                    		<h2>Rules</h2>
                    		<table>
                    			<c:forEach var="uob" items="${usform.rules}" varStatus="row">
                    				<form:hidden path="rules[${row.index}].text" value="${uob.text}"/>
                    				<form:hidden path="rules[${row.index}].key0" value="${uob.key0}"/>
                    				<form:hidden path="rules[${row.index}].key1" value="${uob.key1}"/>
                    				<form:hidden path="rules[${row.index}].key2" value="${uob.key2}"/>
                    				<form:hidden path="rules[${row.index}].key3" value="${uob.key3}"/>
                    				<form:hidden path="rules[${row.index}].exists" value="${uob.exists}"/>
                    				<tr>
                    					<td><form:checkbox path="rules[${row.index}].selected" value="${uob.selected}" /></td>
                    					<td>${uob.text}</td>
                    				</tr>
                    			</c:forEach>
                    		</table>
                    	</c:if>
                    	
                    	<c:if test="${usform.businessparams.size() > 0}">
                    		<h2>Business Parameters</h2>
                    		<table>
                    			<c:forEach var="uob" items="${usform.businessparams}" varStatus="row">
                    				<form:hidden path="businessparams[${row.index}].text" value="${uob.text}"/>
                    				<form:hidden path="businessparams[${row.index}].key0" value="${uob.key0}"/>
                    				<form:hidden path="businessparams[${row.index}].key1" value="${uob.key1}"/>
                    				<form:hidden path="businessparams[${row.index}].key2" value="${uob.key2}"/>
                    				<form:hidden path="businessparams[${row.index}].key3" value="${uob.key3}"/>
                    				<form:hidden path="businessparams[${row.index}].exists" value="${uob.exists}"/>
                    				<tr>
                    					<td><form:checkbox path="businessparams[${row.index}].selected" value="${uob.selected}" /></td>
                    					<td>${uob.text}</td>
                    				</tr>
                    			</c:forEach>
                    		</table>
                    	</c:if>
                    	
                    	<c:if test="${usform.plugins.size() > 0}">
                    		<h2>Plugin Definitions</h2>
                    		<table>
                    			<c:forEach var="uob" items="${usform.plugins}" varStatus="row">
                    				<form:hidden path="plugins[${row.index}].text" value="${uob.text}"/>
                    				<form:hidden path="plugins[${row.index}].key0" value="${uob.key0}"/>
                    				<form:hidden path="plugins[${row.index}].key1" value="${uob.key1}"/>
                    				<form:hidden path="plugins[${row.index}].key2" value="${uob.key2}"/>
                    				<form:hidden path="plugins[${row.index}].key3" value="${uob.key3}"/>
                    				<form:hidden path="plugins[${row.index}].exists" value="${uob.exists}"/>
                    				<tr>
                    					<td><form:checkbox path="plugins[${row.index}].selected" value="${uob.selected}" /></td>
                    					<td>${uob.text}</td>
                    				</tr>
                    			</c:forEach>
                    		</table>
                    	</c:if>
                    
                    </form:form>
                    
                </div>
            </div>

    </body>
</html>