<%@ include file="/WEB-INF/jsp/main.jspf" %>

        ${logg.auth("JSP Login: start")}
            <div class="divcont">
                <div class="divleft">
                    <%@ include file="/WEB-INF/jsp/view/login/jspf/LeftLogin.jspf" %>
                </div>
                <div class="divright">
                    
                    <p class="tdpause">Log in:</p>                   
                    
                    <c:url var="ok_url"  value="/login/ok" />
                    <c:url var="newpw_url"  value="/login/newpw" />
                    
                    <form:form action="${ok_url}" method="post" modelAttribute="loginform">
                        <c:if test="${!ident.reg.expired && !ident.reg.cheating}">
                        <table>
                        	<tr>
                                <td class="tdlabel">System:</td>
                                <td>${ident.sysName}</td>
                            </tr>
                            <tr>
                                <td class="tdlabel">Type:</td>
                                <td>${ident.sysType}</td>
                            </tr>
                        
                            <tr>
                                <td class="tdlabel">User Name:</td>
                                <td><form:input path="username"/></td>
                            </tr>
                            
                            <tr>
                                <td class="tdlabel">Password:</td>
                                <td><form:password path="password"/></td>
                            </tr>

                        </table>
                        
                        <table>
                            <tr>
                                <td><button type="submit">${ident.ws.wok}</button></td>
                                <td><button type="submit" formaction="${newpw_url}">${ident.ws.wedit} Password</button></td>
                        </table>
                    	</c:if>
                    </form:form>
                    <c:if test="${ident.reg.expired}">
                    	<p style="color: red;">
                    		<b>
                    			The licence key is expired. Please contact
                    			<a href="mailto:contact@sygr.ch">SYGR</a>.
                    		</b>
                    	</p>
                    </c:if>
                    <c:if test="${ident.reg.cheating}">
                    	<p style="color: red;">
                    		<b>
                    			The systems were modified manually in database, login is denied.
                    		</b>
                    	</p>
                    </c:if>
                    <c:if test="${ident.reg.expiredwithingrace}">
                    	<p style="background-color: #FF8C00;">
                    		The licence key is expired since ${ident.reg.expireddays} days.<br/>
                    		The system will be locked after ${ident.reg.daystolock} days.<br/>
                    		Please contact <a href="mailto:contact@sygr.ch">SYGR</a>
                    		for a new registration key.
                    	</p>
                    </c:if>
                </div>
            </div>
    </body>
</html>