<%@ include file="/WEB-INF/jsp/main.jspf" %>

            <div class="divcont">
                <div class="divleft"></div>
                <div class="divright">
                    
                    <h2>Database Analysis and Maintenance</h2>
                    
                    <c:url var="ok_url"  value="/diagnostics/dbforminput/ok" />
                    <c:url var="cancel_url"  value="/diagnostics/dbforminput/cancel" />
                    <form:form action="${ok_url}" method="post" modelAttribute="dbfixinform">
                        
                        <table>
                            <tr>
                            	<td class="tdlabel">DB 1:</td>
                            	<td>
                            		<form:select path="ldbid">
                                        <form:options items = "${dblist}" />
                                    </form:select>
                            	</td>
                            	<td class="tdlabel">DB 2:</td>
                            	<td>
                            		<form:select path="rdbid">
                                        <form:options items = "${dblist}" />
                                    </form:select>
                            	</td>
                            </tr>
                            <tr>
                            	<td class="tdlabel tdpause">From:</td>
                            	<td><form:input path="fromstring"/></td>
                            	<td class="tdlabel tdpause">To:</td>
                            	<td><form:input path="tostring"/></td>
                            </tr>
                            <tr>
                            	<td></td>
                            	<td colspan="3">( Add time stamp in YYYY-MM-DD HH:MM:SS format or Epoch millisecond as integer,</td>
                            </tr>
                            <tr>
                            	<td></td>
                            	<td colspan="3">e.g. 2020-11-05 15:23:45 or 1675415495632 )</td>
                            </tr>
                        </table>
                        <br/>
                        <table>
                        	<tr>
                            	<td class="tdlabel">Action:</td><td></td><td></td><td></td>
                            </tr>
                            <tr>
                            	<td></td><td><form:radiobutton path="fixmethod" value = "S" label = ""/></td><td>Synchronize DB1 and DB2</td><td></td>
                            </tr>
                            <tr>
                            	<td></td><td><form:radiobutton path="fixmethod" value = "C" label = ""/></td><td>Copy from DB1 to DB2</td><td></td>
                            </tr>
                            <tr>
                            	<td class="tdlabel tdpause">   </td><td><form:radiobutton path="fixmethod" value = "R" label = ""/></td><td>Check and report only</td><td></td>
                            </tr>
                            <tr></tr>
                            
                            <tr>
                            	<td class="tdlabel">Table groups:</td><td></td><td></td><td></td>
                            </tr>
                            <tr>
                            	<td></td><td><form:checkbox path="updsystem"/></td><td>System</td><td></td>
                            </tr>
                            <tr>
                            	<td></td><td><form:checkbox path="updconfig"/></td><td>Configuration</td><td></td>
                            </tr>
                            <tr>
                            	<td></td><td><form:checkbox path="updmaster"/></td><td>Master Data</td><td></td>
                            </tr>
                            <tr>
                            	<td></td><td><form:checkbox path="updtrstore"/></td><td>Store Transactional Data</td><td></td>
                            </tr>
                            <tr>
                            	<td class="tdlabel tdpause"></td><td><form:checkbox path="updtrcatcher"/></td><td>Catcher Transactional Data</td><td></td>
                            </tr>
                            <!--  
                            <tr>
                            	<td class="tdlabel tdpause"></td>   <td><form:checkbox path="updtmp"/></td><td>Temporary</td><td></td>
                            </tr>
                            -->
                            <tr></tr>
                            
                            <tr>
                            	<td class="tdlabel">When done, set DB status to:</td><td></td><td></td><td></td>
                            </tr>
                            <tr>
                            	<td></td><td><form:radiobutton path="setstatus" value = "A" label = ""/></td><td>Active</td><td></td>
                            </tr>
                            <tr>
                            	<td></td><td><form:radiobutton path="setstatus" value = "I" label = ""/></td><td>Inactive</td><td></td>
                            </tr>
                            <tr>
                            	<td class="tdlabel tdpause"></td><td><form:radiobutton path="setstatus" value = "N" label = ""/></td><td>No change</td><td></td>
                            </tr>
                            <tr></tr>
                            
                            <tr>
                            	<td class="tdlabel">Execute:</td><td></td><td></td><td></td>
                            </tr>
                            <tr>
                            	<td></td><td><form:radiobutton path="execution" value = "F" label = ""/></td><td>Online</td><td></td>
                            </tr>
                            <tr>
                            	<td class="tdlabel tdpause"></td>   <td><form:radiobutton path="execution" value = "B" label = ""/></td><td>In a background job</td><td></td>
                            </tr>
                            <tr></tr>
                            
                            <tr>
                            	<td class="tdlabel">Report:</td><td></td><td></td><td></td>
                            </tr>
                            <tr>
                            	<td></td><td><form:radiobutton path="reporting" value = "L" label = ""/></td><td>Detailed</td><td></td>
                            </tr>
                            <tr>
                            	<td></td><td><form:radiobutton path="reporting" value = "S" label = ""/></td><td>Summary</td><td></td>
                            </tr>
                            <tr>
                            	<td></td><td><form:radiobutton path="reporting" value = "N" label = ""/></td><td>No report</td><td></td>
                            </tr>
                            
                        </table>
                        
                        <table>
                            <tr>
                                <td><button type="submit">${ident.ws.wsubmit}</button></td>
                                <td><button type="submit" formaction="${cancel_url}">${ident.ws.wcancel}</button></td>
                            </tr>
                        </table>
                    
                    </form:form>

				</div>
            </div>

    </body>
</html>