<%@ include file="/WEB-INF/jsp/main.jspf" %>

            <div class="divcont">
                <div class="divleft">
                    <%@ include file="/WEB-INF/jsp/view/regio/jspf/LeftDbList.jspf" %>
                </div>
                <div class="divright">

                    <h2>Databases</h2>
                    <p>Number: ${dbl.size()}</p>
                    <table>
                        <tr>
                            <td><b>Name</b></td>
                            <td><b>Type</b></td>
                            <td><b>Description</b></td>
                            <td><b>Status</b></td>
                            <td><b>Central</b></td>
                            <td><b>Catchers</b></td>
                            <td><b>Store Types</b></td>
                            <td><b>Connection</b></td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td></td>
                        </tr>
                        <c:forEach var="db" items="${dbl}">
                            <tr>
                                <td>${db.dbid}</td>
                                <td>${db.dbtype}</td>
                                <td>${db.description}</td>
                                <td>${db.dbstatus}</td>
                                <td>${db.central}</td>
                                <td>${db.ncatchers}</td>
                                <td>${db.nstoretypes}</td>
                                <c:if test="${db.online}">
                                    <td>${ident.ws.wok}</td>
                                </c:if>
                                <c:if test="${!db.online}">
                                    <td style="background-color:#FF0000">OFFLINE</td>
                                </c:if>
                                
                                <td> <!-- EDIT -->
                                    <c:if test="${db.actionedit}">
                                        <form action="<c:url value = "/config/dblist/rowaction/edit/${ident.tourl(db.dbid)}"/>">
                                            <button type="submit">${ident.ws.wedit}</button>
                                        </form>
                                    </c:if>
                                </td>
                                
                                <td> <!-- DELETE -->
                                    <c:if test="${db.actiondelete}">
                                        <form action="<c:url value = "/config/dblist/rowaction/delete/${ident.tourl(db.dbid)}"/>">
                                            <button type="submit">${ident.ws.wdelete}</button>
                                        </form>
                                    </c:if>
                                </td>
                                
                                <td> <!-- Activate/Deactivate -->
                                    <c:if test="${db.actionactivate}">
                                        <form action="<c:url value = "/config/dblist/rowaction/activate/${ident.tourl(db.dbid)}"/>">
                                            <button type="submit">${ident.ws.wset} ACTIVE</button>
                                        </form>
                                    </c:if>
                                    <c:if test="${db.actioninactivate}">
                                        <form action="<c:url value = "/config/dblist/rowaction/inactivate/${ident.tourl(db.dbid)}"/>">
                                            <button type="submit">${ident.ws.wset} INACTIVE</button>
                                        </form>
                                    </c:if>
                                </td>
                                
                                <td> <!-- Set to Central -->
                                    <c:if test="${db.actionsettocentral}">
                                        <form action="<c:url value = "/config/dblist/rowaction/settocentral/${ident.tourl(db.dbid)}"/>">
                                            <button type="submit">${ident.ws.wset} to Central</button>
                                        </form>
                                    </c:if>
                                </td>
                                
                                <td> <!-- Maintain content -->
                                    <c:if test="${db.actioninitialize}">
                                        <form action="<c:url value = "/config/dblist/rowaction/initialize/${ident.tourl(db.dbid)}"/>">
                                            <button type="submit">${ident.ws.winitdb} Initialize(!)</button>
                                        </form>
                                    </c:if>
                                </td>
                                
                            </tr>
                        </c:forEach>
                    </table>
                </div>
            </div>
    </body>
</html>